Package Details: python-kaleido-bin 0.2.1-2

Git Clone URL: https://aur.archlinux.org/python-kaleido-bin.git (read-only, click to copy)
Package Base: python-kaleido-bin
Description: Static image export for web-based visualization libraries with zero dependencies
Upstream URL: https://github.com/plotly/Kaleido
Licenses: MIT
Conflicts: python-kaleido
Provides: python-kaleido
Submitter: carlosal1015
Maintainer: carlosal1015
Last Packager: carlosal1015
Votes: 1
Popularity: 0.098385
First Submitted: 2023-05-29 01:46 (UTC)
Last Updated: 2024-05-06 14:38 (UTC)

Latest Comments

carlosal1015 commented on 2024-05-06 14:52 (UTC)

Thanks.

MarsSeed commented on 2024-05-06 09:38 (UTC)

Hi @carlosal1015,

I think this package would benefit from some enhancements.

  • usually foreign built binaries are kept verbatim, i.e. with options=('!strip') added to PKGBUILD.
  • $namcap-i python-kaleido-bin-0.2.1-1-x86_64.pkg.tar.zst shows lots of needed but missing dependencies. Please declare depends=(bash expat gcc-libs glibc nspr nss python python-plotly sqlite) to satisfy every requirement.

Thank you in advance for looking into this matter!

P.S., it is best to always use namcap on the built pacman package after updates or changes in PKGBUILD, to uncover potential issues. :)